// ihm_gateway.h
#pragma once
#include "lvgl.h"
#include "freertos/FreeRTOS.h"
#include "freertos/queue.h"
#include <stdbool.h>
#include "eventsManager.h"

QueueHandle_t getIHMQueueHandle(void);
void ihm_gateway_init(void);
void ihm_gateway_post_event(xIHMEvent_t *evt);
void ihm_gateway_process_queue(void);
